Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002305TestLinkTest Executepublic2009-03-31 01:592009-05-11 15:55
Reporterkcurran 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.2 
Summary0002305: While in Execution and filtering by Not_Run, you get a MYSQL error
DescriptionIn teh execution tree, set a filter of result=not_run. Apply the filter.
Select a test suite.... you get the sql error shown on screen shot
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Picture1.png [^] (419,162 bytes) 2009-03-31 01:59
? file icon testplan.class.php [^] (78,918 bytes) 2009-04-21 01:06

- Relationships
duplicate of 0002350closedschlundus Error when clicking a test suite during execute after applying a result filter 
duplicate of 0002366closedschlundus SQL Error in Test Execution when attempting to complete bulk operations with filter applied 

-  Notes
(0006078)
kcurran (reporter)
2009-03-31 03:32

I just noticed the following errors in the event log

30/03/2009 14:55:10 WARNING E_WARNING array_merge() [<a href='function.array-merge'>function.array-merge</a>]: Argument 0000002 is not an array - in /usr/testlink.1.8.0/lib/functions/tree.class.php - Line 967 kcurran
30/03/2009 14:55:10 WARNING E_WARNING array_unique() [<a href='function.array-unique'>function.array-unique</a>]: The argument should be an array - in /usr/testlink.1.8.0/lib/functions/tree.class.php - Line 971 kcurran
30/03/2009 14:55:10 WARNING E_WARNING implode() [<a href='function.implode'>function.implode</a>]: Invalid arguments passed - in /usr/testlink.1.8.0/lib/functions/tree.class.php - Line 971 kcurran
30/03/2009 14:55:10 WARNING E_WARNING Invalid argument supplied for foreach() - in /usr/testlink.1.8.0/lib/functions/tree.class.php - Line 976 kcurran
30/03/2009 14:55:10 WARNING E_WARNING implode() [<a href='function.implode'>function.implode</a>]: Invalid arguments passed - in /usr/testlink.1.8.0/lib/execute/execSetResults.php - Line 444 kcurran
30/03/2009 14:55:10 WARNING E_NOTICE Undefined index: tsuite_id - in /usr/testlink.1.8.0/lib/execute/execSetResults.php - Line 465 kcurran
30/03/2009 14:55:10 WARNING E_NOTICE Undefined index: tc_id - in /usr/testlink.1.8.0/lib/execute/execSetResults.php - Line 466 kcurran
30/03/2009 14:55:10 WARNING E_NOTICE Undefined property: stdClass::$map_last_exec - in /usr/testlink.1.8.0/lib/execute/execSetResults.php - Line 229 kcurran
(0006292)
kcurran (reporter)
2009-04-08 20:58

Still occurs with 1.8.1
(0006405)
kcurran (reporter)
2009-04-16 04:08

I isolated the problem to when the following is set in custom config

// allow bulk updates
$tlCfg->exec_cfg->show_testsuite_contents = ENABLED
(0006461)
kcurran (reporter)
2009-04-20 20:57

Will a fix make it in 1.8.2?
(0006471)
kcurran (reporter)
2009-04-21 01:05

Here is a file I've changed that corrects the behaviour however I'm not sure if the underlining problem is solved. There are 2 sections that I've changed ( each start with a comments // kcurran and ending with //kcurran end. The basic problem was that the filter_status array was coming in as an integer index array instead of indexed by the status code. Therefore $exec_status[$status_not_run] was never there however $exec_status[0] was.
(0006472)
kcurran (reporter)
2009-04-21 01:09

I would think that the exec_status array should be built correctly but I couldn't find where this is occuring ( as argument to ExecSetResults)
(0006473)
schlundus (reporter)
2009-04-21 02:39

Fixed in 1.8.2 and above

- Issue History
Date Modified Username Field Change
2009-03-31 01:59 kcurran New Issue
2009-03-31 01:59 kcurran File Added: Picture1.png
2009-03-31 02:00 schlundus Status new => assigned
2009-03-31 02:00 schlundus Assigned To => schlundus
2009-03-31 03:32 kcurran Note Added: 0006078
2009-04-08 20:58 kcurran Note Added: 0006292
2009-04-08 22:05 fman Relationship added duplicate of 0002350
2009-04-14 01:21 amitkhullar Relationship added duplicate of 0002366
2009-04-16 04:08 kcurran Note Added: 0006405
2009-04-20 20:57 kcurran Note Added: 0006461
2009-04-21 01:05 kcurran Note Added: 0006471
2009-04-21 01:06 kcurran File Added: testplan.class.php
2009-04-21 01:09 kcurran Note Added: 0006472
2009-04-21 02:36 schlundus Assigned To schlundus =>
2009-04-21 02:39 schlundus Status assigned => resolved
2009-04-21 02:39 schlundus Fixed in Version => 1.8.2 (bug fixing)
2009-04-21 02:39 schlundus Resolution open => fixed
2009-04-21 02:39 schlundus Assigned To => schlundus
2009-04-21 02:39 schlundus Note Added: 0006473
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker